package cn.meowrain.aioj.backend.framework.core.designpattern.chains;

import org.springframework.core.Ordered;

public interface AbstractChianHandler<T> extends Ordered {

	/**
	 * 执行责任链逻辑
	 * @param requestParam 责任链执行入参
	 */
	void handle(T requestParam);

	/**
	 * 责任链组件标识
	 * @return String
	 */
	String mark();

}
